Retrain an existing chatbot
https://api.chat-data.com/ api/ v2/ retrain- chatbot/ retrain-chatbotThe Chatbot Retrain API enables you to retrain an existing chatbot. This API is applicable for chatbots with the custom-data-upload model. It allows you to update the chatbot's knowledge base with new information or remove existing data.
You can provide new training data through various methods:
- Text data via
sourceText - URLs to scrape via
urlsToScrape - Product information via
products - Q&A pairs via
qAndAs
You can also remove specific knowledge chunks using the deletes array.
Note: The amount of new data you can add is subject to character limits based on your plan.
Request body
Sending 1 of 7 fieldschatbotIdstringOnly these fields are sent (application/json).